from abc import ABC, abstractmethod

class IRomanNumber(ABC):
    @abstractmethod
    def convert(self, n: int) -> str:
        pass

class IStringCalculator(ABC):
    @abstractmethod
    def add(self, numbers: str) -> int:
        pass